summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:14:45 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:25:03 +0100
commit576fc933c81aa6e526d87290af95e8e898e70ecb (patch)
tree73f9a202bcb454043dbb6b731d9b56ed4c5f49eb /kde-apps/calendarjanitor
parentdev-haskell/stack-bin: bump up to 1.6.1 (diff)
downloadgentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.gz
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.bz2
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.zip
kde-apps: Add KDE Applications 17.12.0
Package-Manager: Portage-2.3.18, Repoman-2.3.6
Diffstat (limited to 'kde-apps/calendarjanitor')
-rw-r--r--kde-apps/calendarjanitor/Manifest1
-rw-r--r--kde-apps/calendarjanitor/calendarjanitor-17.12.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/kde-apps/calendarjanitor/Manifest b/kde-apps/calendarjanitor/Manifest
index aa7341d1221..92b0d8067cc 100644
--- a/kde-apps/calendarjanitor/Manifest
+++ b/kde-apps/calendarjanitor/Manifest
@@ -1 +1,2 @@
DIST akonadi-calendar-tools-17.08.3.tar.xz 223524 BLAKE2B 27b584a5a06c7d5388c4a182f824005e8905b54773dfca8c010faba4d254a73d794ed4b1eebdc516ba7a100d0e3b841f37b4a23e2efeeec6416813c2ed63f949 SHA512 9ff26e19f7fcbedb76698d40f781c4e96f97c6441e5002b3fa0d63b22558563ae8f25f8343b05acc400af2fa5e96b7f96c4fa3a9ffc82cbf5d01cf21e002cd40
+DIST akonadi-calendar-tools-17.12.0.tar.xz 224588 BLAKE2B c9d991270f00e9abcc84317d01ad605a47c917d366a6b6108b07fc76c7dc57b7db9102ac97b3b38b84e89eb24f3a63f28d289c9f5eb6aab0c18cd4e65b09e40b SHA512 f76b0d6417bcb17b62da0612c55da54878951112da9060ebf66505e6ddccd9d28caa6e2c6cd4d571e4496a2b6bfba6bb7f680e3f74ecac7e1ece521401358fdf
diff --git a/kde-apps/calendarjanitor/calendarjanitor-17.12.0.ebuild b/kde-apps/calendarjanitor/calendarjanitor-17.12.0.ebuild
new file mode 100644
index 00000000000..8363967d9d1
--- /dev/null
+++ b/kde-apps/calendarjanitor/calendarjanitor-17.12.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional" # FIXME: Check back for doc in release
+KDE_TEST="false"
+KMNAME="akonadi-calendar-tools"
+inherit kde5
+
+DESCRIPTION="Tool to scan calendar data for buggy instances"
+LICENSE="GPL-2+ handbook? ( FDL-1.2+ )"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep ki18n)
+ $(add_kdeapps_dep akonadi)
+ $(add_kdeapps_dep akonadi-calendar)
+ $(add_kdeapps_dep calendarsupport)
+ $(add_kdeapps_dep kcalcore)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/kdepim-l10n
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ cmake_comment_add_subdirectory doc konsolekalendar
+ sed -i -e "/console\.categories/ s/^/#DONT/" CMakeLists.txt || die
+
+ # delete colliding konsolekalendar translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ rm -f po/*/konsolekalendar.po || die
+ rm -rf po/*/docs/konsolekalendar || die
+ fi
+}